﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Media;
namespace AlarmDateTime
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            timetxt.Text = System.DateTime.Now.ToString();
           
            if (dateTimePicker1.Value.ToString() == System.DateTime.Now.ToString())
            {
                        //shutdown
                        if (radioButton1.Checked)
                        {
                            if (comboBox1.Text == "Shutdown")//shutdown
                                System.Diagnostics.Process.Start("ShutDown", "/s");
                            if (comboBox1.Text == "Restart")//restart
                                System.Diagnostics.Process.Start("ShutDown", "/r");
                            if (comboBox1.Text == "Logoff")//logoff
                                System.Diagnostics.Process.Start("ShutDown", "/l");
                        }
                        //open file
                        if (radioButton2.Checked)
                        {
                            if (txtpathfile.Text != "")//
                                System.Diagnostics.Process.Start(txtpathfile.Text);
                        }
                        //play sound
                        if (radioButton3.Checked)
                        {
                            SoundPlayer p = new SoundPlayer(txtsound.Text);
                            p.Play();

                        }
                        //show message
                        if (radioButton4.Checked)
                        {
                            MessageBox.Show(txtMsg.Text);
                        } 
            }
        }

        private void set_btn_Click(object sender, EventArgs e)
        {
            datetimetxt.Text = dateTimePicker1.Value.ToString();
        }

        private void BtnOpen_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "EXE |*.exe| bath |*.bat";
            openFileDialog1.ShowDialog();
            txtpathfile.Text = openFileDialog1.FileName;
        }

        private void btnsound_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "Wav |*.wav";
            openFileDialog1.ShowDialog();
            txtsound.Text = openFileDialog1.FileName;
        }

        private void label2_Click(object sender, EventArgs e)
        {

        }
    }
}
